/*
PAYMENTS API

Testing PaypalAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package paymentsapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/paymentsapi"
)

func Test_paymentsapi_PaypalAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test PaypalAPIService CreatePaypalConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.PaypalAPI.CreatePaypalConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PaypalAPIService DeletePaypalConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		httpRes, err := apiClient.PaypalAPI.DeletePaypalConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test PaypalAPIService GetPaypalConfiguration", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var oid string

		resp, httpRes, err := apiClient.PaypalAPI.GetPaypalConfiguration(context.Background(), oid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
